Package com.treemap

# Enum Class TreeMapFieldSettings.PropertyType

java.lang.Object
java.lang.Enum<TreeMapFieldSettings.PropertyType>
com.treemap.TreeMapFieldSettings.PropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<TreeMapFieldSettings.PropertyType>`, `Constable`

Enclosing interface:
  `TreeMapFieldSettings<Color,Font>`

public static enum TreeMapFieldSettings.PropertyType extends Enum<TreeMapFieldSettings.PropertyType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `aggregation`
  `algorithm`
  `borderColor`
  `borderThickness`
  `colormap`
  `format`
  `headerBackground`
  `headerEffect`
  `headerEffectColor`
  `headerEffectOpacity`
  `headerFont`
  `headerForeground`
  `headerHorizontalAlignment`
  `headerInsets`
  `headerMinimumCharactersToDisplay`
  `headerRendering`
  `headerVerticalAlignment`
  `labeling`
  `labelingContrastEnhancement`
  `labelingEffect`
  `labelingEffectColor`
  `labelingEffectOpacity`
  `labelingFloat`
  `labelingFont`
  `labelingForeground`
  `labelingHorizontalAlignment`
  `labelingMinimumCharactersToDisplay`
  `labelingRendering`
  `labelingResizeTextToFitShape`
  `labelingShrinkTextToFitShape`
  `labelingVerticalAlignment`
  `nesting`
  `nestingAmount`
  `nestingBackground`
  `ordering`
  `orderingDirection`
  `orderingHorizontalVanishingPoint`
  `orderingVerticalVanishingPoint`
  `overrideDefaults`
  `scale`
  `showLabel`
  `tooltipFont`
  `tooltipForeground`
  `tooltipRendering`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TreeMapFieldSettings.PropertyType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TreeMapFieldSettings.PropertyType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### algorithm

    public static final TreeMapFieldSettings.PropertyType algorithm

  - ### aggregation

    public static final TreeMapFieldSettings.PropertyType aggregation

  - ### scale

    public static final TreeMapFieldSettings.PropertyType scale

  - ### nesting

    public static final TreeMapFieldSettings.PropertyType nesting

  - ### ordering

    public static final TreeMapFieldSettings.PropertyType ordering

  - ### orderingDirection

    public static final TreeMapFieldSettings.PropertyType orderingDirection

  - ### orderingVerticalVanishingPoint

    public static final TreeMapFieldSettings.PropertyType orderingVerticalVanishingPoint

  - ### orderingHorizontalVanishingPoint

    public static final TreeMapFieldSettings.PropertyType orderingHorizontalVanishingPoint

  - ### labeling

    public static final TreeMapFieldSettings.PropertyType labeling

  - ### labelingForeground

    public static final TreeMapFieldSettings.PropertyType labelingForeground

  - ### labelingEffectColor

    public static final TreeMapFieldSettings.PropertyType labelingEffectColor

  - ### labelingFont

    public static final TreeMapFieldSettings.PropertyType labelingFont

  - ### labelingEffect

    public static final TreeMapFieldSettings.PropertyType labelingEffect

  - ### labelingHorizontalAlignment

    public static final TreeMapFieldSettings.PropertyType labelingHorizontalAlignment

  - ### labelingVerticalAlignment

    public static final TreeMapFieldSettings.PropertyType labelingVerticalAlignment

  - ### labelingRendering

    public static final TreeMapFieldSettings.PropertyType labelingRendering

  - ### labelingMinimumCharactersToDisplay

    public static final TreeMapFieldSettings.PropertyType labelingMinimumCharactersToDisplay

  - ### labelingEffectOpacity

    public static final TreeMapFieldSettings.PropertyType labelingEffectOpacity

  - ### labelingShrinkTextToFitShape

    public static final TreeMapFieldSettings.PropertyType labelingShrinkTextToFitShape

  - ### labelingResizeTextToFitShape

    public static final TreeMapFieldSettings.PropertyType labelingResizeTextToFitShape

  - ### labelingFloat

    public static final TreeMapFieldSettings.PropertyType labelingFloat

  - ### labelingContrastEnhancement

    public static final TreeMapFieldSettings.PropertyType labelingContrastEnhancement

  - ### nestingAmount

    public static final TreeMapFieldSettings.PropertyType nestingAmount

  - ### nestingBackground

    public static final TreeMapFieldSettings.PropertyType nestingBackground

  - ### headerForeground

    public static final TreeMapFieldSettings.PropertyType headerForeground

  - ### headerEffectColor

    public static final TreeMapFieldSettings.PropertyType headerEffectColor

  - ### headerBackground

    public static final TreeMapFieldSettings.PropertyType headerBackground

  - ### headerFont

    public static final TreeMapFieldSettings.PropertyType headerFont

  - ### headerEffect

    public static final TreeMapFieldSettings.PropertyType headerEffect

  - ### headerHorizontalAlignment

    public static final TreeMapFieldSettings.PropertyType headerHorizontalAlignment

  - ### headerVerticalAlignment

    public static final TreeMapFieldSettings.PropertyType headerVerticalAlignment

  - ### headerRendering

    public static final TreeMapFieldSettings.PropertyType headerRendering

  - ### headerMinimumCharactersToDisplay

    public static final TreeMapFieldSettings.PropertyType headerMinimumCharactersToDisplay

  - ### headerEffectOpacity

    public static final TreeMapFieldSettings.PropertyType headerEffectOpacity

  - ### headerInsets

    public static final TreeMapFieldSettings.PropertyType headerInsets

  - ### tooltipForeground

    public static final TreeMapFieldSettings.PropertyType tooltipForeground

  - ### tooltipFont

    public static final TreeMapFieldSettings.PropertyType tooltipFont

  - ### tooltipRendering

    public static final TreeMapFieldSettings.PropertyType tooltipRendering

  - ### borderColor

    public static final TreeMapFieldSettings.PropertyType borderColor

  - ### borderThickness

    public static final TreeMapFieldSettings.PropertyType borderThickness

  - ### format

    public static final TreeMapFieldSettings.PropertyType format

  - ### showLabel

    public static final TreeMapFieldSettings.PropertyType showLabel

  - ### colormap

    public static final TreeMapFieldSettings.PropertyType colormap

  - ### overrideDefaults

    public static final TreeMapFieldSettings.PropertyType overrideDefaults

- ## Method Details

  - ### values

    public static TreeMapFieldSettings.PropertyType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TreeMapFieldSettings.PropertyType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null